CFC013 — Exportação de Arquivo PEFIN
Fonte
- Source:
source/CFC013/
Objetivo
O módulo CFC013 tem como objetivo principal gerenciar a exportacao e importacao de arquivos PEFIN (Pendencias Financeiras) para o Serasa Experian, no formato CONVEM04. Este módulo permite que empresas realizem a negativacao de clientes inadimplentes junto ao Serasa, bem como a exclusao dessas negativacoes quando os debitos sao quitados.
O processo de negativacao envolve a geracao de arquivos texto com layout posicional especifico (600 caracteres por linha), contendo informacoes detalhadas sobre o devedor, como dados pessoais, endereco, valores em aberto e natureza da operacao. O sistema suporta tanto a inclusao de novas anotacoes quanto a exclusao de registros previamente cadastrados no Serasa.
Alem da exportacao, o módulo oferece funcionalidades de importacao de arquivos de retorno do Serasa, permitindo o processamento automatizado das respostas, identificando registros aprovados, rejeitados ou com erros especificos. O sistema utiliza um extenso mapeamento de codigos de erro do Serasa para traduzir as mensagens de retorno em descricoes compreensiveis.
O módulo tambem permite o envio de comunicados via SMS junto com a anotacao no Serasa, alem de oferecer filtros avancados para selecao das contas a serem negativadas, incluindo filtros por pessoa, tipo de conta, forma de pagamento, vendedor, periodo de emissao e vencimento.
Funcionalidades
- Consulta e Filtragem de Contas para Negativacao
- Selecao e Marcacao de Contas
- Exportacao de Arquivo PEFIN
- Importacao de Arquivo de Retorno
- Configuracao de Diretorio de Arquivos
Quando usar?
O módulo CFC013 tem como objetivo principal gerenciar a exportacao e importacao de arquivos PEFIN (Pendencias Financeiras) para o Serasa Experian, no formato CONVEM04.
Para que usar?
Este módulo permite que empresas realizem a negativacao de clientes inadimplentes junto ao Serasa, bem como a exclusao dessas negativacoes quando os debitos sao quitados.
Filtros
Campos simples:
- Data (De / Até)
- Empresa F9
- Dias Vencidos
Filtros de grid (multi-seleção via F9):
- Pessoas Física / Jurídica — F9 — multi-seleção
- Tipo de Contas — F9 — multi-seleção
Atenção: Empresa é obrigatória para executar a consulta.
Mensagens exibidas
Levantadas de source/CFC013/ pela camada 0 (commit 96fc51e236).
| Código | Tipo | Mensagem |
|---|---|---|
| C-0045 | Confirmação | Deseja Excluir o Registro? |
Mais 19 mensagens com texto literal no código: CFC013.
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS | SELECT, UPDATE |
| EMPRESA | DELETE, INSERT, SELECT, UPDATE |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| ENDERECOPESSOA | SELECT |
| FORMAPAGTO | SELECT |
| MUNICIPIO | SELECT |
| PARMFATUR | SELECT |
| PARMFINANC | SELECT |
| PESSOA | SELECT |
| PESSOAFISICA | SELECT |
| TIPOCONTA | SELECT |
| USUARIOEMPRESA | SELECT |
| VENDEDOR | SELECT |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| MNF010 | Gerar Mensalidades | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| REQ014 | Lucratividade sobre Vendas | CONTAS |
| ... | +323 telas |